Subject: Re: bug#69562: 29.2.50; go-ts-mode does not handle comments with fill-paragraph

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Mar 2024 17:49:09 +0200

> Cc: [email-masked]
> Date: Tue, 5 Mar 2024 16:49:44 +0200
> From: Dmitry Gutov <[email-masked]>
> 
> On 05/03/2024 16:22, Ankit Gadiya wrote:
> >> Does you example originally have one long commented line? Because when I
> >> try it that way, filling seems to work fine, comments are added on the
> >> new lines.
> > 
> > Yes, I think the lines got wrapped in the mail but I had a long line. Admittedly
> > that sample is specifically to showcase the issue but a more realistic scenario
> > is when I already have multiline comments, I update it and want to re-fill
> > it. Here also, it is clear that fill-paragraph does not respect the comment
> > delimiter so it moves them just like regular characters.
> > 
> > (all comment lines start with // in case mail adds line breaks)
> > 
> >      // Sample is a sample function with a very long comment. Sample is a
> >      // new details added to the comment sample function with a very
> > long comment. Sample is a sample function
> >      // with a very long comment. Sample is a sample function with a very long
> >      // comment.
> >      func Sample() {
> > 
> >      }
> > 
> > Becomes this
> > 
> >      // Sample is a sample function with a very long comment. Sample is a // new
> >      details added to the comment sample function with a very long
> > comment. Sample is
> >      a sample function // with a very long comment. Sample is a sample
> > function with
> >      a very long // comment.
> >      func Sample() {
> > 
> >      }
> 
> That's odd: here it becomes
> 
>    // Sample is a sample function with a very long comment. Sample is a
>    // new details added to the comment sample function with a very long
>    // comment. Sample is a sample function with a very long
>    // comment. Sample is a sample function with a very long comment.
>    func Sample() {

Could it be that you two use different versions of the grammar
library?